Package ch.qos.logback.access.pattern

# Class RequestURLConverter

java.lang.Object
ch.qos.logback.core.pattern.Converter<E>
ch.qos.logback.core.pattern.FormattingConverter<E>
ch.qos.logback.core.pattern.DynamicConverter<IAccessEvent>
ch.qos.logback.access.pattern.AccessConverter
ch.qos.logback.access.pattern.RequestURLConverter

All Implemented Interfaces:
  `ContextAware`, `LifeCycle`

public class RequestURLConverter extends AccessConverter
The first line of the request.

Author:
  Ceki Gülcü

## Field Summary

### Fields inherited from class ch.qos.logback.access.pattern.AccessConverter

`QUESTION_CHAR, SPACE_CHAR`

### Fields inherited from class ch.qos.logback.core.pattern.DynamicConverter

`started`

## Constructor Summary

Constructors
Constructor
Description
`RequestURLConverter()`

## Method Summary

Modifier and Type
Method
Description
`String`
`convert(IAccessEvent accessEvent)`
The convert method is responsible for extracting data from the event and storing it for later use by the write method.

### Methods inherited from class ch.qos.logback.access.pattern.AccessConverter

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

### Methods inherited from class ch.qos.logback.core.pattern.DynamicConverter

`getFirstOption, getOptionList, isStarted, setOptionList, start, stop`

### Methods inherited from class ch.qos.logback.core.pattern.FormattingConverter

`getFormattingInfo, setFormattingInfo, write`

### Methods inherited from class ch.qos.logback.core.pattern.Converter

`getNext, setNext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RequestURLConverter

public RequestURLConverter()

## Method Details

### convert

public String convert(IAccessEvent accessEvent)
Description copied from class: `Converter`
The convert method is responsible for extracting data from the event and storing it for later use by the write method.

Specified by:
  `convert` in class `Converter<IAccessEvent>`